Steuer 2014

Informations

Creator Message
Versuch5 Anonymous

Warning

This installer has not been approved yet by the team.

Informations

Platforms:
Downloads: 0
Wine: System

Feedbacks

Description

German software to file a tax computation.

Source code

                

Contributions

Filters:

Contribute
Member Message
Versuch5 Sunday 1 March 2015 at 10:21
Versuch5 Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

I'm intentionally place only german texts in the script to prevent bloodcurdling translations in a software which is intrinsic used by german users. The current translating concept is very simple implemented e.g. it does not  considers different word orders for diffenent languages and text variables at all.

Whatever, here is the english translation.

 

Differences

@@ -0,0 +1,84 @@
+#!/bin/bash
+#
+# Date: 20150301
+# Wine version used: 1.7.37
+# Author: R. Neuber
+# Script license: GPLv3
+# Program license: copyright www.tandem-verlag.de
+# Depend: -
+#
+# Changes:
+# 20150301: Now all text is translated to English. I'm afraid looking in the future for the retranslated German stuff. Hopefully it is not too bloodcurdling.
+# 20150301: use $PROGRAMFILES instead of hard coded paths.
+# 20150301: removed debug messages, confuses others
+#
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+TITLE="Steuer 2014"
+SCRIPT_NAME="Steuer 2014 (ALDI Edition)"
+SCRIPT_USER="Versuch5"
+
+CD_ID_TAG="steu15_1.ID"
+
+WINE_VERSION="1.7.37"
+PREFIX="buhlSteuermanager2014"
+
+# start POL 
+POL_SetupWindow_Init
+
+# Start debugging API
+POL_Debug_Init
+
+#POL_SetupWindow_free_presentation "$TITLE" "$(eval_gettext '
+#Dieser Assistent wird Ihnen bei der PlayOnLinux Installation von\n\n
+#$SCRIPT_NAME\n\n
+#auf Ihrem Computer helfen.\n\n
+#Das funktioniert am besten, wenn alle Einstellungen im Installationsprogramm unverändert übernommen werden. \n\n
+#Klicken Sie auf Weiter ...')"
+POL_SetupWindow_free_presentation "$TITLE" "$(eval_gettext 'This script will help you with the PlayOnLinux\n\n$SCRIPT_NAME\n\ninstallation on your system.\n\nThis runs best, if all default setup settings are not changed during the installation process.')"
+
+# make sure CD exists. Without CD nothing will work
+POL_SetupWindow_cdrom
+POL_SetupWindow_check_cdrom "$CD_ID_TAG"
+POL_Debug_Message "CD OK"
+
+POL_Wine_SelectPrefix "$PREFIX"
+
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WINE_VERSION"
+
+if [ -d "$WINEPREFIX/drive_c/$PROGRAMFILES/Steuer 2014" ];  then
+  # POL_SetupWindow_message "$TITLE ist bereits installiert. Das Installationsprogramm wird nur eine Deinstallation anbieten. \n\n
+  # Für ein Update das POL Updatescript verwenden." "$TITLE"
+ POL_SetupWindow_message "$(eval_gettext '$TITLE already installed. The setup program will only give you the option to delete the current installation.\n\nFor updating the program please use the POL update script.')" "$TITLE"  
+fi
+
+POL_Call POL_Install_vcrun2010
+POL_Call POL_Install_dotnet35sp1
+POL_Call POL_Install_vcrun2013
+# "INSTALL use native pdf viewer"
+POL_Call POL_Function_SetNativeExtension "pdf"
+
+# "check right disk"
+POL_SetupWindow_check_cdrom "$CD_ID_TAG"
+
+#POL_SetupWindow_message "Der 'InstallShield Wizard' wird als nächstes versuchen die 'Microsoft C++ 2013 Redistributable Packung' zu installieren und wird das nicht schaffen. \n\n
+#In diesem Fall mit der Installation fortfahren (NICHT auf 'Abbrechen' klicken), es funktioniert trotzdem." "$TITLE" 
+POL_SetupWindow_message "$(eval_gettext 'In the next step the InstallShield Wizard will try to install the Microsoft C++ 2013 Redistributable Package. This installation will not work properly, but there is no problem in the installation result. \n\nProceed with the installation when this error pops up. Do not click ABORT installation.')" "$TITLE" 
+
+# start setup.exe
+POL_Wine start /unix "$CDROM"/Setup/setup.exe
+POL_Wine_WaitExit
+POL_Shortcut "stman2015.exe" "Steuermanager 2014"
+
+#POL_SetupWindow_message "Installation abgeschlossen.\n\n
+#UPDATES\n\n
+#Die Prüfung, ob updates vorhanden sind, funktioniert innerhalb des Porgrammes. Allerdings funktioniert das 
+#UPDATE selbst nicht. Daher für eine Aktualisierung das PlayOnLinux Updatescript verwenden." "$TITLE"
+POL_SetupWindow_message "$(eval_gettext 'Installation finished.\n\nUPDATES\n\nThe update ckeck works inside the program. But the update itself does not work inside the program. So please use the PlayOnLinux Steuer 2015 update script for updates.')" "$TITLE"
+
+POL_SetupWindow_Close
+
+exit 0

New source code

#!/bin/bash
#
# Date: 20150301
# Wine version used: 1.7.37
# Author: R. Neuber
# Script license: GPLv3
# Program license: copyright www.tandem-verlag.de
# Depend: -
#
# Changes:
# 20150301: Now all text is translated to English. I'm afraid looking in the future for the retranslated German stuff. Hopefully it is not too bloodcurdling.
# 20150301: use $PROGRAMFILES instead of hard coded paths.
# 20150301: removed debug messages, confuses others
#

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Steuer 2014"
SCRIPT_NAME="Steuer 2014 (ALDI Edition)"
SCRIPT_USER="Versuch5"

CD_ID_TAG="steu15_1.ID"

WINE_VERSION="1.7.37"
PREFIX="buhlSteuermanager2014"

# start POL 
POL_SetupWindow_Init

# Start debugging API
POL_Debug_Init

#POL_SetupWindow_free_presentation "$TITLE" "$(eval_gettext '
#Dieser Assistent wird Ihnen bei der PlayOnLinux Installation von\n\n
#$SCRIPT_NAME\n\n
#auf Ihrem Computer helfen.\n\n
#Das funktioniert am besten, wenn alle Einstellungen im Installationsprogramm unverändert übernommen werden. \n\n
#Klicken Sie auf Weiter ...')"
POL_SetupWindow_free_presentation "$TITLE" "$(eval_gettext 'This script will help you with the PlayOnLinux\n\n$SCRIPT_NAME\n\ninstallation on your system.\n\nThis runs best, if all default setup settings are not changed during the installation process.')"

# make sure CD exists. Without CD nothing will work
POL_SetupWindow_cdrom
POL_SetupWindow_check_cdrom "$CD_ID_TAG"
POL_Debug_Message "CD OK"

POL_Wine_SelectPrefix "$PREFIX"

POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WINE_VERSION"

if [ -d "$WINEPREFIX/drive_c/$PROGRAMFILES/Steuer 2014" ];  then
  # POL_SetupWindow_message "$TITLE ist bereits installiert. Das Installationsprogramm wird nur eine Deinstallation anbieten. \n\n
  # Für ein Update das POL Updatescript verwenden." "$TITLE"
 POL_SetupWindow_message "$(eval_gettext '$TITLE already installed. The setup program will only give you the option to delete the current installation.\n\nFor updating the program please use the POL update script.')" "$TITLE"  
fi

POL_Call POL_Install_vcrun2010
POL_Call POL_Install_dotnet35sp1
POL_Call POL_Install_vcrun2013
# "INSTALL use native pdf viewer"
POL_Call POL_Function_SetNativeExtension "pdf"

# "check right disk"
POL_SetupWindow_check_cdrom "$CD_ID_TAG"

#POL_SetupWindow_message "Der 'InstallShield Wizard' wird als nächstes versuchen die 'Microsoft C++ 2013 Redistributable Packung' zu installieren und wird das nicht schaffen. \n\n
#In diesem Fall mit der Installation fortfahren (NICHT auf 'Abbrechen' klicken), es funktioniert trotzdem." "$TITLE" 
POL_SetupWindow_message "$(eval_gettext 'In the next step the InstallShield Wizard will try to install the Microsoft C++ 2013 Redistributable Package. This installation will not work properly, but there is no problem in the installation result. \n\nProceed with the installation when this error pops up. Do not click ABORT installation.')" "$TITLE" 

# start setup.exe
POL_Wine start /unix "$CDROM"/Setup/setup.exe
POL_Wine_WaitExit
POL_Shortcut "stman2015.exe" "Steuermanager 2014"

#POL_SetupWindow_message "Installation abgeschlossen.\n\n
#UPDATES\n\n
#Die Prüfung, ob updates vorhanden sind, funktioniert innerhalb des Porgrammes. Allerdings funktioniert das 
#UPDATE selbst nicht. Daher für eine Aktualisierung das PlayOnLinux Updatescript verwenden." "$TITLE"
POL_SetupWindow_message "$(eval_gettext 'Installation finished.\n\nUPDATES\n\nThe update ckeck works inside the program. But the update itself does not work inside the program. So please use the PlayOnLinux Steuer 2015 update script for updates.')" "$TITLE"

POL_SetupWindow_Close

exit 0

Replies

Sunday 1 March 2015 at 14:17
The script looks good to me, but I think your understanding of GNU gettext, which is used to translate thousands of software, is totally wrong;  Anyway, I didn't mind if you kept the messages in german, nor did Ronin after some thought it seems (see comments on the other script), so personally I would be ok to validate this script with german messages (so that launchpad translators don't start working on translations that may not be used in the end)...
Monday 2 March 2015 at 4:45
I agree, considering that it is pretty much German-specific anyway.
Versuch5 Saturday 28 February 2015 at 8:38
Versuch5 Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -0,0 +1,92 @@
+#!/bin/bash
+#
+# Date: 20150222
+# Wine version used: 1.7.37
+# Author: R. Neuber
+# Script license: GPLv3
+# Program license: copyright www.tandem-verlag.de
+# Depend: -
+#
+# No need for translations. Tax return files only for use in Germany.
+#
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+TITLE="Steuer 2014"
+SCRIPT_NAME="Steuer 2014 (ALDI Edition)"
+SCRIPT_USER="Versuch5"
+
+CD_ID_TAG="steu15_1.ID"
+
+WINE_VERSION="1.7.37"
+PREFIX="buhlSteuermanager2014"
+
+# start POL 
+POL_SetupWindow_Init
+
+# Start debugging API
+POL_Debug_Init
+POL_Debug_Message "start script $TITLE"
+
+# POL_SetupWindow_presentation "$SCRIPT_NAME" "$SCRIPT_EDITEUR" "$SCRIPT_URL" "$SCRIPT_USER" "$PREFIX"
+POL_SetupWindow_free_presentation "$TITLE" "
+Dieser Assistent wird Ihnen bei der PlayOnLinux Installation von\n\n
+$SCRIPT_NAME\n\n
+auf Ihrem Computer helfen.\n\n
+Das funktioniert am besten, wenn alle Einstellungen im Installationsprogramm unverändert übernommen werden. \n\n
+Klicken Sie auf Weiter ..."
+
+# make sure CD exists. Without CD nothing will work
+POL_SetupWindow_cdrom
+POL_SetupWindow_check_cdrom "$CD_ID_TAG"
+POL_Debug_Message "CD OK"
+
+POL_Wine_SelectPrefix "$PREFIX"
+
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WINE_VERSION"
+
+POL_Debug_Message "Destination Dir $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program Files/Steuer 2015"
+
+if [ -d $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014 ];  then
+ POL_SetupWindow_message "$TITLE ist bereits installiert." "$TITLE" 
+#exit 1
+fi
+
+POL_Debug_Message "INSTALL vcrun2010"
+POL_Call POL_Install_vcrun2010
+POL_Debug_Message "INSTALL dotnet 35"
+POL_Call POL_Install_dotnet35sp1
+POL_Debug_Message "INSTALL vcrun2013"
+POL_Call POL_Install_vcrun2013
+POL_Debug_Message "INSTALL use native pdf viewer"
+POL_Call POL_Function_SetNativeExtension "pdf"
+
+POL_Debug_Message "INSTALL check right disk"
+POL_SetupWindow_check_cdrom "$CD_ID_TAG"
+
+POL_SetupWindow_message "Der 'InstallShield Wizard' wird als nächstes versuchen die 'Microsoft C++ 2013 Redistributable Packung' zu installieren und wird das nicht schaffen. \n\n
+In diesem Fall mit der Installation fortfahren (NICHT auf 'Abbrechen' klicken), es funktioniert trotzdem." "$TITLE" 
+
+POL_Debug_Message "INSTALL start setup.exe"
+POL_Wine start /unix "$CDROM"/Setup/setup.exe
+POL_Wine_WaitExit
+POL_Debug_Message "Check stman"
+if [ -e $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014/stman2015.exe ];  then
+	POL_Debug_Message "Create shortcut stman"
+    POL_Shortcut "stman2015.exe" "Steuermanager 2014"
+else
+	POL_Debug_Message "no stman"
+	POL_SetupWindow_message "Installation nicht erfolgreich."
+	exit 1    	    
+fi
+
+POL_SetupWindow_message "Installation abgeschlossen.\n\n
+UPDATES\n\n
+Die Prüfung, ob updates vorhanden sind, funktioniert innerhalb des Porgrammes. Allerdings funktioniert das 
+UPDATE selbst nicht. Daher für eine Aktualisierung das PlayOnLinux Updatescript verwenden." "$TITLE"
+
+POL_SetupWindow_Close
+
+exit 0

New source code

#!/bin/bash
#
# Date: 20150222
# Wine version used: 1.7.37
# Author: R. Neuber
# Script license: GPLv3
# Program license: copyright www.tandem-verlag.de
# Depend: -
#
# No need for translations. Tax return files only for use in Germany.
#

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Steuer 2014"
SCRIPT_NAME="Steuer 2014 (ALDI Edition)"
SCRIPT_USER="Versuch5"

CD_ID_TAG="steu15_1.ID"

WINE_VERSION="1.7.37"
PREFIX="buhlSteuermanager2014"

# start POL 
POL_SetupWindow_Init

# Start debugging API
POL_Debug_Init
POL_Debug_Message "start script $TITLE"

# POL_SetupWindow_presentation "$SCRIPT_NAME" "$SCRIPT_EDITEUR" "$SCRIPT_URL" "$SCRIPT_USER" "$PREFIX"
POL_SetupWindow_free_presentation "$TITLE" "
Dieser Assistent wird Ihnen bei der PlayOnLinux Installation von\n\n
$SCRIPT_NAME\n\n
auf Ihrem Computer helfen.\n\n
Das funktioniert am besten, wenn alle Einstellungen im Installationsprogramm unverändert übernommen werden. \n\n
Klicken Sie auf Weiter ..."

# make sure CD exists. Without CD nothing will work
POL_SetupWindow_cdrom
POL_SetupWindow_check_cdrom "$CD_ID_TAG"
POL_Debug_Message "CD OK"

POL_Wine_SelectPrefix "$PREFIX"

POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WINE_VERSION"

POL_Debug_Message "Destination Dir $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program Files/Steuer 2015"

if [ -d $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014 ];  then
 POL_SetupWindow_message "$TITLE ist bereits installiert." "$TITLE" 
#exit 1
fi

POL_Debug_Message "INSTALL vcrun2010"
POL_Call POL_Install_vcrun2010
POL_Debug_Message "INSTALL dotnet 35"
POL_Call POL_Install_dotnet35sp1
POL_Debug_Message "INSTALL vcrun2013"
POL_Call POL_Install_vcrun2013
POL_Debug_Message "INSTALL use native pdf viewer"
POL_Call POL_Function_SetNativeExtension "pdf"

POL_Debug_Message "INSTALL check right disk"
POL_SetupWindow_check_cdrom "$CD_ID_TAG"

POL_SetupWindow_message "Der 'InstallShield Wizard' wird als nächstes versuchen die 'Microsoft C++ 2013 Redistributable Packung' zu installieren und wird das nicht schaffen. \n\n
In diesem Fall mit der Installation fortfahren (NICHT auf 'Abbrechen' klicken), es funktioniert trotzdem." "$TITLE" 

POL_Debug_Message "INSTALL start setup.exe"
POL_Wine start /unix "$CDROM"/Setup/setup.exe
POL_Wine_WaitExit
POL_Debug_Message "Check stman"
if [ -e $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014/stman2015.exe ];  then
        POL_Debug_Message "Create shortcut stman"
    POL_Shortcut "stman2015.exe" "Steuermanager 2014"
else
        POL_Debug_Message "no stman"
        POL_SetupWindow_message "Installation nicht erfolgreich."
        exit 1                
fi

POL_SetupWindow_message "Installation abgeschlossen.\n\n
UPDATES\n\n
Die Prüfung, ob updates vorhanden sind, funktioniert innerhalb des Porgrammes. Allerdings funktioniert das 
UPDATE selbst nicht. Daher für eine Aktualisierung das PlayOnLinux Updatescript verwenden." "$TITLE"

POL_SetupWindow_Close

exit 0

Replies

Saturday 28 February 2015 at 8:57
Everything needs to be in English. As long as everything is in English, it will be translated to other languages:

http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_10:_Script_Translation
Saturday 28 February 2015 at 10:30
Well, given the very nature of this program, I agree that it may not need translation...
Let's go on with review though:
# Start debugging API
POL_Debug_Init
Minor gripe here, but those kind of comments add nothing to the readability of the script; only keep the ones that may help understanding what's going on.
if [ -d $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014 ]; then
One should not hardcode the location of PlayOnLinux state; Root of PlayOnLinux state directory is $POL_USER_ROOT, root of current virtual drive is $WINEPREFIX; "Program Files" directory name changes with localization so it's better to use $PROGRAMFILES instead (it depends on the localization of the system so again probably 95% of the time it'll be german; Still it's both good practice, and may cover some corner cases). I'm not sure why you do this whole test though: if this is not the first installation, the user would have been warned by PrefixCreate already at this point.
POL_Debug_Message "INSTALL vcrun2010"
POL_Call POL_Install_vcrun2010
POL_Call already sends debug messages to the logs, those POL_Debug_Message are useless
if [ -e $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014/stman2015.exe ]; then
POL_Debug_Message "Create shortcut stman"
POL_Shortcut "stman2015.exe" "Steuermanager 2014"
Again POL_Shortcut will fail with an error message if it can't find the executable it should link to, so I'm not sure this whole test really adds something to the script beside complexity...
POL_SetupWindow_message "Installation nicht erfolgreich."
exit 1
You should call POL_SetupWindow_Close before exiting, or use POL_Debug_Fatal instead.
Saturday 28 February 2015 at 10:45
(to make it clear, paths should look like "$WINEPREFIX/drive_c/$PROGRAMFILES/Steuer 2014/stman2015.exe", double quotes included.)